---
title: "Other Resources in OpenRefine"
teaching: 5
exercises: 0
questions:
- "What other resources are available for working with OpenRefine?"
objectives:
- "Explore the online resources available for more information on OpenRefine."
- "Identify other resources about OpenRefine."
keypoints:
- "Other examples and resources online are good for learning more about OpenRefine"
---

## Other resources about OpenRefine

OpenRefine is more than a simple data cleaning tool. People are using it for all sorts of activities. Here are some other resources that might prove useful.

OpenRefine has documentation and other resources:

* [OpenRefine web site](https://openrefine.org/)
* [OpenRefine User Manual](https://docs.openrefine.org/)
  * [Exploring Facets](https://docs.openrefine.org/manual/facets)
  * [Reconciling](https://docs.openrefine.org/manual/reconciling)
  * [GREL](https://docs.openrefine.org/manual/grel)
  * [Wikibase](https://docs.openrefine.org/manual/wikibase/overview)
  * [Troubleshooting](https://docs.openrefine.org/manual/troubleshooting)
* [OpenRefine Blog](https://openrefine.org/category/blog.html)
* [OpenRefine External Resources linked in their Wiki](https://github.com/OpenRefine/OpenRefine/wiki/External-Resources)
* [Recipes in the OpenRefine Wiki](https://github.com/OpenRefine/OpenRefine/wiki/Recipes)

In addition, see these other useful resources:

* [Use of OpenRefine with GBIF](https://docs.gbif.org/course-dna-barcoding/course-docs/OpenRefine-Exercise3c-EN.pdf) - PDF guide
* [Getting started with OpenRefine by Thomas Padilla](https://thomaspadilla.org/dataprep/)
* [Cleaning Data with OpenRefine by Seth van Hooland, Ruben Verborgh and Max De Wilde](https://programminghistorian.org/en/lessons/cleaning-data-with-openrefine)
* [Identifying potential headings for Authority work using III Sierra, MS Excel and OpenRefine](https://epublications.marquette.edu/lib_fac/81/)
* [Free your metadata website](https://freeyourmetadata.org/)
* [Cleaning Data with OpenRefine by John Little](https://libjohn.github.io/openrefine/)
* [Grateful Data](https://github.com/scottythered/gratefuldata/wiki) is a fun site with many resources devoted to OpenRefine, including a nice tutorial.
