---
layout: lesson
root: .
---

Before you can analyze data you need to clean it. Data cleaning identifies errors and corrects formatting to create consistent data. This step must be taken with extreme care and attention because without clean data the results of analysis may be false and non-reproducible.

OpenRefine is a powerful free and open source tool for working with messy data: cleaning it and transforming it from one format into another.

This lesson will teach you to use OpenRefine to clean and format
data effectively and automatically track any changes that you make. Many people comment
that this tool saves them literally months of work trying to make these
edits by hand.

> ## Getting Started
>
> Data Carpentry's teaching is hands-on, so participants are encouraged to use
> their own computers to ensure the proper setup of tools for an efficient
> workflow. <br>**These lessons assume no prior knowledge of the skills or tools.**
>
> To get started, follow the directions in the [Setup](setup.html) page to
> download data to your computer and follow any installation instructions.
>
> To most effectively use these materials, please make sure to install
> everything *before* working through this lesson.
{: .prereq}

> ## For Instructors
> If you are teaching this lesson in a workshop, please see the
> [Instructor notes](guide/index.html).
{: .prereq}
