---
layout: page
title: Setup
---

> ## Data
> **Download** the data file [Portal_rodents_19772002_simplified.csv](data/Portal_rodents_19772002_simplified.csv), which is a csv file that will open in a new browser tab. Be sure to right click or control click in order to save the file (NOTE: In Safari, right click and select `Download linked file`; in Chrome and Firefox, right-click and select `Save link as...`). Make a note of the location (i.e. the folder, your Desktop) to which you save the file.
>
> ### About the data
> The data for this lesson is a part of the Data Carpentry Ecology workshop.
> It is a teaching version of the Portal Database. The data in this lesson
> is a subset of the teaching version that has been intentionally 'messed up'
> for this lesson.
>
> The data for this lesson and the workshop are in the
> [Portal Project Teaching Database](https://figshare.com/articles/Portal_Project_Teaching_Database/1314459)
> available on FigShare, with a CC-BY license
> available for reuse.
{: .prereq}

> ## Software
>
> For this lesson you will need **OpenRefine version 3.7.2** and a web browser.
>
> Note: OpenRefine is a Java program that runs on your machine (not in the cloud). It runs inside your browser, but no web connection is needed.
>
> Download OpenRefine version 3.7.2 from [https://openrefine.org/download](https://openrefine.org/download).
> * Do not download beta versions or the release candidates. These are only for development and testing of the software.
> * If you are on Windows and do not have Java installed, download the version `Windows (including Java)`.
> * Unzip the downloaded file into a directory and name that directory something like OpenRefine.
> * Check below for further instructions depending on your operating system.
>
> ### Windows
>
> 1. Go to your newly created OpenRefine directory.
> 1. Launch OpenRefine by double clicking on `openrefine.exe` (this will launch a black command prompt window first; ignore this window, and wait for OpenRefine to launch in the web browser, which is where you will interact with the program).
>   - If Windows displays a blue notification titled `Microsoft Defender SmartScreen prevented an unrecognized app from starting`, click on `More info` and then click on `Run anyway`.
> 1. If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.
>
> ### Mac
>
> 1. Go to your newly created OpenRefine directory.
> 1. Drag the OpenRefine icon into Applications folder, and `Ctrl-click/Open…` it.
>   - If Mac shows a notification when you try to run the program that it cannot verify the developer, click `Cancel`. Then, `Right-click` or `Ctrl-click` the icon and select `Open`. The notification will now have an `Open` button. If it does not allow to open the program, repeat the process and there will be an `Open` button the second time. For additional details, consult the [OpenRefine installation guide](https://docs.openrefine.org/manual/installing#install-or-upgrade-openrefine).
> 1. If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.
>
> ### Linux
>
> 1. Navigate to your newly created OpenRefine directory using the command line.
> 1. Type `./refine` into the terminal within the OpenRefine directory
> 1. If you are using a different browser, or OpenRefine does not automatically open for you, point your browser at http://127.0.0.1:3333/ or http://localhost:3333 to launch the program.
>
> ## Web Browser
>
> OpenRefine requires one of these web browsers installed in your computer:
>
> * Google Chrome
> * Chromium
> * Safari
> * Opera
> * Microsoft Edge
>  
> OpenRefine has some issues with Firefox. Internet Explorer is not supported.
>
> Note: Other versions of OpenRefine should work, but the results might be different due to changes in the software or default settings.
{: .prereq}
